# Class Trajectory

java.lang.Object
org.jmol.modelset.Trajectory

public class Trajectory extends Object

## Constructor Summary

Constructors
Constructor
Description
`Trajectory()`

## Method Summary

Modifier and Type
Method
Description
`void`
`getFractional(Atom a, P3 ptTemp)`
`void`
`getModelBS(int modelIndex, BS bs)`
set bits for all trajectories associated with this model
`String`
`getState()`
`boolean`
`hasMeasure(int[] measure)`
`void`
`selectDisplayed(BS bs)`
Remove trajectories that are not currently displayed from the visible frames bitset.
`void`
`setBaseModels(BS bsModels)`
set bits for all base models only

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Trajectory

public Trajectory()

## Method Details

### getFractional

public void getFractional(Atom a, P3 ptTemp)

### getState

public String getState()

### hasMeasure

public boolean hasMeasure(int[] measure)

### selectDisplayed

public void selectDisplayed(BS bs)
Remove trajectories that are not currently displayed from the visible frames bitset. when a trajectory is selected, the atom's modelIndex is switched to that of the selected trajectory even though the underlying model itself is not changed.

Parameters:
  `bs` -

### getModelBS

public void getModelBS(int modelIndex, BS bs)
set bits for all trajectories associated with this model

Parameters:
  `modelIndex` -
  `bs` -

### setBaseModels

public void setBaseModels(BS bsModels)
set bits for all base models only

Parameters:
  `bsModels` -